Date: Thu, 6 Nov 1997 17:25:45 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Cc: Michael Schmitz <SCHMITZ@LCBVAX.CCHEM.BERKELEY.EDU>
Subject: L68K: Apollo flashing cursor in 2.1.61
Sender: owner-linux-m68k@phil.uni-sb.de

	Hi,

This was missing in 2.1.61:

--- /tmp/fbcon.c	Thu Nov  6 17:21:36 1997
+++ drivers/video/fbcon.c	Wed Sep 17 13:31:23 1997
@@ -223,6 +223,21 @@
 
 extern int num_registered_fb;
 
+#ifdef CONFIG_APOLLO
+static void cursor_timer_handler(unsigned long dev_addr);
+
+static struct timer_list cursor_timer={NULL,NULL,0,0L,cursor_timer_handler};
+
+static void cursor_timer_handler(unsigned long dev_addr) {
+
+      fbcon_vbl_handler(0,NULL,NULL);
+      cursor_timer.expires=jiffies+2;
+      cursor_timer.data=0;
+      cursor_timer.next=cursor_timer.next=NULL;
+      add_timer(&cursor_timer);
+
+}
+#endif
 
 static unsigned long fbcon_startup(unsigned long kmem_start,
 				   const char **display_desc)

It might not patch in cleanly, because I created the diff by hand using Peter's
2.1.55 source tree.

The timer based cursor flashing can be used on other machines too if no vblank
interrupt is available (hi Michael!). Or should we go for a solid non-flashing
cursor?

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

